Im trying to restore my ipod touch 2g firmware 2.x.x to 4.0 but i get an error saying "the device isn't eligible for the requested build" anyway on how to fix this?

My ipod otuch has never been jailbroken and i plan on jailbreaking it on 4.0.